export interface ResourceType {
    id:string
    name:string
    contentType:string
	count:number
    simple:boolean	
}

export interface KeyValue {
    k: string;
    v: string;
  }
  
  export interface Module {
    group: string;
    name: string;
    versions: string[];
    files: string[];
  }

export interface ProtocolParams {
    name:string
    label:string
    type:string
    optional:boolean
    hasSelFunction:boolean
}

export interface Protocol {
    id: string
    params: ProtocolParams[]
}

export interface WfHistoryEntry {
    processId: string,
    name: string,
    family: string,
    status: string,
    startDate: string,
    endDate: string,
    dsId?: string,
    dsName?: string,
    dsApi?: string,
    details: Map<string,string>
}